Package org.apache.felix.webconsole

# Class DefaultVariableResolver

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<String,Object>
org.apache.felix.webconsole.servlet.RequestVariableResolver
org.apache.felix.webconsole.DefaultVariableResolver

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`, `VariableResolver`

@Deprecated public class DefaultVariableResolver extends RequestVariableResolver implements VariableResolver
Deprecated.
Use `RequestVariableResolver` instead.
The `DefaultVariableResolver` is a `HashMap` based default implementation of the `VariableResolver` interface. It may be used by plugins to implement the interface for the request and is also used by the `WebConsoleUtil.getVariableResolver(javax.servlet.ServletRequest)` as the variable resolver if none has yet been assigned to the request.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from class org.apache.felix.webconsole.servlet.RequestVariableResolver

`KEY_APP_ROOT, KEY_PLUGIN_ROOT, REQUEST_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultVariableResolver()`
Deprecated.
Creates a new variable resolver with default capacity.
`DefaultVariableResolver(int initialCapacity)`
Deprecated.
Creates a new variable resolver with specified initial capacity
`DefaultVariableResolver(int initialCapacity, float loadFactor)`
Deprecated.
Creates a new variable resolver and initializes both - capacity & load factor
`DefaultVariableResolver(Map source)`
Deprecated.
Creates a new variable resolver copying the variables from the given map.

## Method Summary

### Methods inherited from class org.apache.felix.webconsole.servlet.RequestVariableResolver

`resolve`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Methods inherited from interface org.apache.felix.webconsole.VariableResolver

`resolve`

## Constructor Details

### DefaultVariableResolver

public DefaultVariableResolver()
Deprecated.
Creates a new variable resolver with default capacity.

### DefaultVariableResolver

public DefaultVariableResolver(int initialCapacity, float loadFactor)
Deprecated.
Creates a new variable resolver and initializes both - capacity & load factor

Parameters:
  `initialCapacity` - the initial capacity of the variable container
  `loadFactor` - the load factor of the variable container
See Also:
  - `HashMap(int, float)`

### DefaultVariableResolver

public DefaultVariableResolver(int initialCapacity)
Deprecated.
Creates a new variable resolver with specified initial capacity

Parameters:
  `initialCapacity` - the initial capacity of the variable container
See Also:
  - `HashMap(int)`

### DefaultVariableResolver

public DefaultVariableResolver(Map source)
Deprecated.
Creates a new variable resolver copying the variables from the given map.

Parameters:
  `source` - the map whose variables are to be placed in this resolver.
See Also:
  - `HashMap(Map)`